Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dataview
Class DataView

    java.lang.Object
      org.objectstyle.cayenne.dataview.DataView

    public class DataView

extends java.lang.Object

A root of the view configuration hierarchy. Contains a number of ObjEntityViews.

Since:
  1.1
Author:
  Andriy Shapochka

Constructor Summary
`DataView()`

Method Summary
`void` | `addFieldValueChangeListener(FieldValueChangeListener listener)`
`void` | `clearFieldValueChangeListeners()`
`void` | `fireFieldValueChangeEvent(ObjEntityViewField source, DataObject modifiedObject, java.lang.Object oldValue, java.lang.Object newValue)`
`DataTypeSpec` | `getDataTypeSpec()`
`EntityResolver` | `getEntityResolver()`
`FormatFactory` | `getFormatFactory()`
`java.util.Locale` | `getLocale()`
`LookupCache` | `getLookupCache()`
`java.util.Set` | `getLookupObjEntityViewFields()`
`ObjEntityView` | `getObjEntityView(java.lang.String viewName)`
`java.util.Set` | `getObjEntityViewNames()`
`java.util.Collection` | `getObjEntityViews()`
`void` | `load(org.jdom.Document[] views)`
`void` | `load(java.io.File[] xmlSources)`
`void` | `load(java.io.InputStream[] xmlSources)`
`void` | `load(java.io.Reader[] xmlSources)`
`void` | `load(java.net.URL[] xmlSources)`
`void` | `removeFieldValueChangeListener(FieldValueChangeListener listener)`
`void` | `setDataTypeSpec(DataTypeSpec dataTypeSpec)`
`void` | `setEntityResolver(EntityResolver entityResolver)`
`void` | `setFormatFactory(FormatFactory formatFactory)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setLookupCache(LookupCache lookupCache)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataView

    public DataView()

Method Detail

### getEntityResolver

    public EntityResolver getEntityResolver()

### setEntityResolver

    public void setEntityResolver(EntityResolver entityResolver)

### load

    public void load(java.io.File[] xmlSources)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### load

    public void load(java.net.URL[] xmlSources)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### load

    public void load(java.io.Reader[] xmlSources)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### load

    public void load(java.io.InputStream[] xmlSources)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### load

    public void load(org.jdom.Document[] views)

### getObjEntityViewNames

    public java.util.Set getObjEntityViewNames()

### getObjEntityViews

    public java.util.Collection getObjEntityViews()

### getObjEntityView

    public ObjEntityView getObjEntityView(java.lang.String viewName)

### getLookupCache

    public LookupCache getLookupCache()

### setLookupCache

    public void setLookupCache(LookupCache lookupCache)

### getLookupObjEntityViewFields

    public java.util.Set getLookupObjEntityViewFields()

### getLocale

    public java.util.Locale getLocale()

### setLocale

    public void setLocale(java.util.Locale locale)

### getDataTypeSpec

    public DataTypeSpec getDataTypeSpec()

### setDataTypeSpec

    public void setDataTypeSpec(DataTypeSpec dataTypeSpec)

### getFormatFactory

    public FormatFactory getFormatFactory()

### setFormatFactory

    public void setFormatFactory(FormatFactory formatFactory)

### addFieldValueChangeListener

    public void addFieldValueChangeListener(FieldValueChangeListener listener)

### removeFieldValueChangeListener

    public void removeFieldValueChangeListener(FieldValueChangeListener listener)

### clearFieldValueChangeListeners

    public void clearFieldValueChangeListeners()

### fireFieldValueChangeEvent

    public void fireFieldValueChangeEvent(ObjEntityViewField source,
                                          DataObject modifiedObject,
                                          java.lang.Object oldValue,
                                          java.lang.Object newValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.